.tags {
    display: flex;
    flex-wrap: wrap;
    gap: 2px;
    list-style-type: none;
    margin-bottom: 2px;
}

.tags .tag {
    @include micro;
    border-radius: 2px;
    padding: 3px 4px;
    box-shadow: inset 0 0 0 1px rgba(black, 0.5);
    background-color: var(--primary);
    font-weight: 500;
    color: white;

    &.edit-btn {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: white;
        border-radius: 0;
        color: var(--primary);
        a {
            display: inline-flex;
            svg {
                height: 9px;
                width: auto;
            }
        }
    }

    &_secondary.tag {
        background-color: var(--secondary);
        color: white;
    }

    &_tertiary.tag {
        background-color: var(--tertiary);
        color: white;
    }

    &_alt.tag {
        background-color: var(--alt);
        color: white;
    }

    &_transparent.tag {
        background-color: transparent;
        color: black;
        text-transform: none;
        font-size: 10px;
        box-shadow: inset 0 0 0 1px rgb(0 0 0 / 30%);
        border-radius: 4px;
    }

    &.mystified {
        opacity: 0.6;
    }
}

.damage-tag {
    white-space: nowrap;
    margin: 0 1px 1px 0;
    padding: 0 3px;
    font-size: 10px;
    line-height: 16px;
    border: 1px solid #999;
    border-radius: 3px;

    &-base {
        color: white;
        background: rgba(0, 0, 0, 0.45);
    }

    &-modifier {
        background: rgba(0, 0, 0, 0.05);
    }
}
